#
# spec file for package distribution-logos-openSUSE
#
# Copyright (c) 2025 SUSE LLC
# Copyright (c) 2021 Sasi Olin <hellcp@opensuse.org>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           distribution-logos-openSUSE
Version:        20250203
Release:        1.1
Summary:        Logos for openSUSE Distros
License:        CC-BY-SA-4.0
URL:            https://github.com/openSUSE/distribution-logos
# updated via "osc service manualrun"
Source:         distribution-logos-%{version}.tar.zst
BuildRequires:  hicolor-icon-theme
BuildRequires:  zstd
BuildArch:      noarch

%description
Logos for openSUSE Distributions

%if 0%{?sle_version} || 0%{?suse_version} == 1600
%package Leap
Summary:        Logos for openSUSE Leap
Conflicts:      distribution-logos
Obsoletes:      distribution-logos
Provides:       distribution-logos
Removepathpostfixes: .Leap
BuildArch:      noarch

%description Leap
Logos for openSUSE Leap

%package LeapMicro
Summary:        Logos for openSUSE Leap Micro
Conflicts:      distribution-logos
Obsoletes:      distribution-logos
Provides:       distribution-logos
Removepathpostfixes: .LeapMicro
BuildArch:      noarch

%description LeapMicro
Logos for openSUSE Leap Micro

%else

%package Tumbleweed
Summary:        Logos for openSUSE Tumbleweed
Conflicts:      distribution-logos
Obsoletes:      distribution-logos
Provides:       distribution-logos
Removepathpostfixes: .Tumbleweed
BuildArch:      noarch

%description Tumbleweed
Logos for openSUSE Tumbleweed

%package Slowroll
Summary:        Logos for openSUSE Slowroll
Conflicts:      distribution-logos
Obsoletes:      distribution-logos
Provides:       distribution-logos
Removepathpostfixes: .Slowroll
BuildArch:      noarch

%description Slowroll
Logos for openSUSE Slowroll

%package Kubic
Summary:        Logos for openSUSE Kubic
Conflicts:      distribution-logos
Obsoletes:      distribution-logos
Provides:       distribution-logos
Removepathpostfixes: .Kubic
BuildArch:      noarch

%description Kubic
Logos for openSUSE Kubic

%package MicroOS
Summary:        Logos for openSUSE MicroOS
Conflicts:      distribution-logos
Obsoletes:      distribution-logos
Provides:       distribution-logos
Removepathpostfixes: .MicroOS
BuildArch:      noarch

%description MicroOS
Logos for openSUSE MicroOS

%package Aeon
Summary:        Logos for openSUSE Aeon
Conflicts:      distribution-logos
Obsoletes:      distribution-logos
Provides:       distribution-logos
Removepathpostfixes: .Aeon
BuildArch:      noarch

%description Aeon
Logos for openSUSE Aeon

%package Kalpa
Summary:        Logos for openSUSE Kalpa
Conflicts:      distribution-logos
Obsoletes:      distribution-logos
Provides:       distribution-logos
Removepathpostfixes: .Kalpa
BuildArch:      noarch

%description Kalpa
Logos for openSUSE Kalpa


%endif

%package icons
Summary:        Icons with distribution logos
Requires:       distribution-logos
Conflicts:      systemd-icon-branding-openSUSE
Provides:       systemd-icon-branding
Obsoletes:      systemd-icon-branding-openSUSE < 84.87.20210910
Provides:       systemd-icon-branding-openSUSE = 84.87.20210910
BuildArch:      noarch

%description icons
Icons with openSUSE distribution logos.

%prep
%setup -q -n distribution-logos-%{version}

%build
# Skip build

%install
export NO_BRP_STALE_LINK_ERROR=yes
mkdir -p %{buildroot}%{_datadir}/pixmaps/distribution-logos
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{scalable,symbolic}/apps
%if 0%{?sle_version} || 0%{?suse_version} == 1600
for distro in Leap LeapMicro; do \
%else
for distro in Tumbleweed Slowroll Kubic MicroOS Aeon Kalpa; do \
%endif
for file in `ls ${distro}`; do \
cp -r ${distro}/${file} %{buildroot}%{_datadir}/pixmaps/distribution-logos/${file}.${distro}; \
done; \
cp -r ${distro}/square-hicolor.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/distributor-logo-${distro}.svg; \
cp -r ${distro}/square-symbolic.svg %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps/distributor-logo-${distro}-symbolic.svg; \
done
ln -sf %{_datadir}/pixmaps/distribution-logos/square-hicolor.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/distributor-logo.svg
ln -sf %{_datadir}/pixmaps/distribution-logos/square-symbolic.svg %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps/distributor-logo-symbolic.svg

%files
%dir %{_datadir}/pixmaps/distribution-logos

%if 0%{?sle_version} || 0%{?suse_version} == 1600
%files Leap
%{_datadir}/pixmaps/distribution-logos/*.Leap

%files LeapMicro
%{_datadir}/pixmaps/distribution-logos/*.LeapMicro

%else

%files Tumbleweed
%{_datadir}/pixmaps/distribution-logos/*.Tumbleweed

%files Slowroll
%{_datadir}/pixmaps/distribution-logos/*.Slowroll

%files Kubic
%{_datadir}/pixmaps/distribution-logos/*.Kubic

%files MicroOS
%{_datadir}/pixmaps/distribution-logos/*.MicroOS

%files Aeon
%{_datadir}/pixmaps/distribution-logos/*.Aeon

%files Kalpa
%{_datadir}/pixmaps/distribution-logos/*.Kalpa

%endif

%files icons
%{_datadir}/icons/hicolor/*

%changelog
* Mon Feb  3 2025 sfalken@opensuse.org
- Update to version 20250203:
  * Kalpa: Add Distribution Logos
* Tue Oct 22 2024 lubos.kocman@suse.com
- Update to version 20241022:
  * TW: rename highcolor back to hicolor
* Thu Oct 17 2024 lubos.kocman@suse.com
- Update to version 20241017:
  * Add new Tumbleweed logos
  * Increade horizontal padding for light-inline
  * Make square-symbolic edge to edge
  * Optimize PNGs
  * Make favicon multisize
  * Optimize SVGs
  * Narrow down light-inline
  * Resize square-symbolix to 16x16
  * Resize symbolic icon to 16x16
* Wed May  8 2024 bwiedemann@suse.com
- Update to version 20240429:
  * Introduce Slowroll logos
  * Aeon: Correct colored icons to use Aeon brand color
* Wed Apr 24 2024 Jacob Michalskie <hel@lcp.world>
- Update to version 20240424:
  * Aeon: Make light versions actually light
* Thu Apr  4 2024 lubos.kocman@suse.com
- Update to version 20240404:
  * Turn apple-touch-icon into round square ones
  * SLES Compatability supply apple-touch-icon for Leap, LeapMicro, TW
  * Delete dist/package directory
  * fix source mismatch with package name
* Mon Feb 26 2024 Lubos Kocman <lubos.kocman@suse.com>
- Add handling for Leap Micro 6.X and Leap 16.X
* Thu Feb  8 2024 Dirk Müller <dmueller@suse.com>
- switch to a service using zstd
* Thu Feb  1 2024 Dirk Müller <dmueller@suse.com>
- list the source url
* Thu Feb  1 2024 Lubos Kocman <lubos.kocman@suse.com>
- Update Leap 15.6 branding poo#131666
* Thu Sep 21 2023 Jacob Michalskie <hel@lcp.world>
- Add Aeon branding
* Tue Mar 22 2022 Lubos Kocman <lubos.kocman@suse.com>
- Initial Leap Micro 5.2 branding
* Fri Feb 18 2022 Sasi Olin <hel@lcp.world>
- Fix the obsoleted and provided versions of the old systemd logo branding package
* Sun Jun  6 2021 Sasi Olin <hel@lcp.world>
- Add icons package to handle systemd branding better
* Sat Jan  2 2021 Stasiek Michalski <stasiek@michalski.cc>
- Only build Leap subpackage on Leap base and Tumbleweed based
  distros subpackages on Tumbleweed base
* Tue Nov 17 2020 Stasiek Michalski <stasiek@michalski.cc>
- Add favicon.ico format
* Thu Oct 17 2019 Richard Brown <rbrown@suse.com>
- Remove obsolete Groups tag (fate#326485)
* Mon May  6 2019 Stasiek Michalski <hellcp@mailbox.org>
- Add viewBox and preserveAspectRatio to SVGs
* Sat Apr 13 2019 Stasiek Michalski <hellcp@mailbox.org>
- Initial package
